#ifndef TREEWIDGET_H
#define TREEWIDGET_H

#include <QTreeWidget>

class TreeWidget : public QTreeWidget
{
    Q_OBJECT
public:
    explicit TreeWidget(QTreeWidget* parent = nullptr);
    ~TreeWidget();

signals:
    void signalClicked(const QString& txt);

private slots:
    void slotItemDoubleClicked(QTreeWidgetItem *item, int column);

private:
    void initUI();
    void createConnections();

};

#endif // TREEWIDGET_H
